Page MenuHomePhabricator

Add support for Atikamekw
Closed, ResolvedPublic

Description

@Amqui requested support for Atikamekw in MediaWiki.

There is no fallback (we don't have support for cr, alg or aql).

English nameAtikamekw
AutonymAtikamekw
ISO codeatj
 Fallbackfr
Alphabetlatn
 DirectionLTR

There is a project in Incubator.

Current status

2016-06-09: language is active on translatewiki.net, translators can start to work. We'll process further this task only when a some substantial translation amount is ready per https://translatewiki.net/wiki/Translatewiki.net_languages.

2017-03-26: atj.json exported by Raymond, more translations needed: https://translatewiki.net/wiki/Thread:User_talk:Jeannette_Coocoo/Thanks_for_atj

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 8 2016, 11:44 PM
Dereckson updated the task description. (Show Details)Jun 8 2016, 11:47 PM
Dereckson updated the task description. (Show Details)
Dereckson updated the task description. (Show Details)
Dereckson renamed this task from Add support to Atikamekw to Add support for Atikamekw.Jun 8 2016, 11:52 PM

Change 293450 had a related patch set uploaded (by Dereckson):
Add support for Atikamekw

https://gerrit.wikimedia.org/r/293450

Dereckson updated the task description. (Show Details)Jun 8 2016, 11:55 PM
Dereckson reopened this task as Stalled.Jun 9 2016, 11:03 AM

declined > stalled, as this is still a valid task, but blocked on actual translation

Dereckson triaged this task as Lowest priority.Jun 9 2016, 11:04 AM

Set priority to reflect current state of available localisation for this language.

Nemo_bis closed this task as Invalid.Jun 9 2016, 12:37 PM
Nemo_bis removed Dereckson as the assignee of this task.
Nemo_bis raised the priority of this task from Lowest to Normal.
Dereckson added a comment.EditedJun 9 2016, 12:46 PM

declined > stalled, as this is still a valid task, but blocked on actual translation

I would like to attract the attention of @Nemo_bis of two things:

  1. Use Phabricator as a personal statement board, to impose their views isn't constructive and not a way to achieve a goal, to organize work and solve tasks
  2. There are actual work being done for this task, see for example commits fbf8a91b and 3316ae94
Dereckson updated the task description. (Show Details)Jun 9 2016, 12:52 PM

Language is now active on TranslateWiki.

Next step is to translate the core MediaWiki messages. Once 13% are translated, we'll export the localisation and process further this task.

Aklapper assigned this task to Dereckson.Jun 9 2016, 2:18 PM
Aklapper lowered the priority of this task from Normal to Lowest.

@Nemo_bis: After an explanation has been given why a task should be valid, please do not close a task as invalid/declined again without providing any argumentation that refers to the previous explanation.
See T137376#2367662.

Nemo_bis closed this task as Invalid.Jun 9 2016, 4:50 PM

Please stick to the process. We don't keep tickets open for hundreds of languages awaiting translation.

Aklapper reopened this task as Open.Jun 9 2016, 4:53 PM

@Nemo_bis: I don't see how Dereckson does not stick to the process.
Which specific item on https://translatewiki.net/wiki/Translatewiki.net_languages was violated?

Nemo_bis closed this task as Invalid.Jun 9 2016, 4:53 PM
Aklapper reopened this task as Open.Jun 9 2016, 4:57 PM
Aklapper changed the edit policy from "All Users" to "Custom Policy".
Nemo_bis closed this task as Invalid.Jun 9 2016, 4:59 PM

Aklapper, please stop vandalising this report.

The maintainers of this component have already made it very clear that we don't track translators' todos here.

Aklapper reopened this task as Open.Jun 9 2016, 5:23 PM

@Nemo_bis: T137376#2366573 states that this is more than "a translators' todo". Answering questions instead of ignoring them helps clarifying things, repeatedly closing tasks without providing any argumentation does not. It's disruptive and generally disrespectful to other community members who try to use Phabricator to manage their work.

As you seem to be concerned about the task's component, I've removed MediaWiki-Internationalization from this task as I'd like @Dereckson to be able to use this task to plan and manage what he works on.
If there are any further specific concerns, feel free to bring them up, without changing the task status. Thank you.

Nemo_bis removed projects: Patch-For-Review, I18n.EditedJun 10 2016, 6:27 AM

This is also not a i18n issue (it's merely a l10n task).

Nemo_bis removed a subscriber: Nemo_bis.Jun 10 2016, 6:27 AM

Seriously? Please remove the restrictive edit policy on this task.

Aklapper changed the edit policy from "Custom Policy" to "All Users".Jun 10 2016, 11:03 AM
siebrand changed the task status from Open to Stalled.EditedJun 25 2016, 3:04 PM
siebrand added a subscriber: siebrand.

There is no fallback (we don't have support for cr, alg or aql).

Languages are only added to MediaWiki proper if there is a decent localisation level. This is currently around 15% of MediaWiki core. In translatewiki.net, the language currently has a localisation level of 0% for MediaWiki. We advise you (the Atikamekw community) to prioritize localisation of the user interface of MediaWiki, and attack the challenge with a few users. Translate and review each other's translations for the best result. Good luck!

This issue will be set to stalled, and updates are not needed until the inclusion requirements have been met.

Change 293450 abandoned by Siebrand:
Add support for Atikamekw

Reason:
I'm abandoning this patch set. From experience we know that localisation in many languages is started, and only few reach the inclusion criteria. Chances this patch will ever be merged are about 15% because of that. It can be re-activated when needed, or easily re-created.

https://gerrit.wikimedia.org/r/293450

Change 293450 restored by Raimond Spekking:
Add support for Atikamekw

Reason:
First export from translatewiki.net was done with https://gerrit.wikimedia.org/r/#/c/344688/ a few days ago

https://gerrit.wikimedia.org/r/293450

Raymond changed the task status from Stalled to Open.Mar 26 2017, 8:25 PM
Raymond added a subscriber: Amqui.
Raymond added a subscriber: Raymond.

Change 293450 merged by jenkins-bot:
[mediawiki/core@master] Add support for Atikamekw

https://gerrit.wikimedia.org/r/293450

Nemo_bis closed this task as Resolved.Mar 27 2017, 7:13 PM
Nemo_bis removed Dereckson as the assignee of this task.
Nemo_bis raised the priority of this task from Lowest to Normal.
Nemo_bis updated the task description. (Show Details)